package cn.iocoder.yudao.module.order.vo.orderExceptionResult;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Data
@ApiModel("管理后台 - 异常处理记录查询 VO")
public class OrderExceptionResultQueryVO {

    @ApiModelProperty(value = "异常订单id")
    private Long orderExceptionId;

    @ApiModelProperty(value = "处理人")
    private Long handlerId;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始处理时间")
    private Date beginHandlerTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束处理时间")
    private Date endHandlerTime;

    @ApiModelProperty(value = "处理结果")
    private String handlerResult;

    @ApiModelProperty(value = "处理备注")
    private String handlerRemark;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始创建时间")
    private Date beginCreateTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束创建时间")
    private Date endCreateTime;

}
